cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/public/get_block_rfq_trades \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "public/get_block_rfq_trades",
"params": {
"currency": "BTC"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/public/get_block_rfq_trades"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "public/get_block_rfq_trades",
"params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'public/get_block_rfq_trades',
params: {currency: 'BTC'}
})
};
fetch('https://drb.coinbase.com/api/v2/public/get_block_rfq_trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"jsonrpc": "2.0",
"result": {
"block_rfqs": [
{
"amount": 12.5,
"combo_id": "BTC-CS-28FEB25-100000_106000",
"direction": "sell",
"hedge": {
"amount": 50,
"direction": "sell",
"instrument_name": "BTC-PERPETUAL",
"price": 96000
},
"id": 6611,
"index_prices": {
"btc_usd": 96000,
"btc_usdc": 95950
},
"legs": [
{
"direction": "buy",
"instrument_name": "BTC-28FEB25-100000-C",
"price": 0.1,
"ratio": 1
},
{
"direction": "sell",
"instrument_name": "BTC-28FEB25-106000-C",
"price": 0.05,
"ratio": 1
}
],
"mark_price": 0.010356754,
"timestamp": 1739803305362,
"trades": [
{
"amount": 12.5,
"direction": "sell",
"hedge_amount": 50,
"price": 0.05
}
]
},
{
"amount": 12.5,
"combo_id": "BTC-CS-28FEB25-100000_106000",
"direction": "sell",
"hedge": {
"amount": 50,
"direction": "sell",
"instrument_name": "BTC-PERPETUAL",
"price": 96000
},
"id": 6600,
"index_prices": {
"btc_usd": 96000,
"btc_usdc": 95950
},
"legs": [
{
"direction": "buy",
"instrument_name": "BTC-28FEB25-100000-C",
"price": 0.1,
"ratio": 1
},
{
"direction": "sell",
"instrument_name": "BTC-28FEB25-106000-C",
"price": 0.05,
"ratio": 1
}
],
"mark_price": 0.007458089,
"timestamp": 1739774397766,
"trades": [
{
"amount": 12.5,
"direction": "sell",
"hedge_amount": 50,
"price": 0.05
}
]
},
{
"amount": 12.5,
"combo_id": "BTC-CS-17FEB25-89000_90000",
"direction": "sell",
"id": 6579,
"legs": [
{
"direction": "buy",
"instrument_name": "BTC-17FEB25-89000-C",
"price": 0.08,
"ratio": 1
},
{
"direction": "sell",
"instrument_name": "BTC-17FEB25-90000-C",
"price": 0.075,
"ratio": 1
}
],
"mark_price": 0.010314468,
"timestamp": 1739743922308,
"trades": [
{
"amount": 12.5,
"direction": "sell",
"price": 0.005
}
]
}
],
"continuation": "1739739009234:6570"
}
}Block RFQ
public/get_block_rfq_trades
Returns a list of recent Block RFQ trades. Can be optionally filtered by currency.
This is a public method that provides market data about completed Block RFQ trades. For private Block RFQ information, use private/get_block_rfqs.
📖 Related Article: Deribit Block RFQ API walkthrough
GET
/
public
/
get_block_rfq_trades
cURL
Query Parameters
The currency symbol or "any" for all
Currency name or "any" if don't care
Available options:
BTC, ETH, USDC, USDT, EURR, any Continuation token for pagination. Consists of timestamp and block_rfq_id.
Example:
"1738050297271:103"
Count of Block RFQs returned, maximum - 1000
Required range:
1 <= x <= 1000Was this page helpful?
⌘I